org.apache.pdfbox.preflight.metadata

## Class PDFAIdentificationValidation

- java.lang.Object
- - org.apache.pdfbox.preflight.metadata.PDFAIdentificationValidation

    public class PDFAIdentificationValidation
    extends Object

Class which check if PDF/A Identification Schema contains good information

Author:
  Germain Costenobel

### Constructor Summary

Constructors
Constructor and Description
`PDFAIdentificationValidation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkConformanceLevel(List<ValidationResult.ValidationError> ve, String value)`
`protected void` `checkPartNumber(List<ValidationResult.ValidationError> ve, int value)`
`protected ValidationResult.ValidationError` `unexpectedPrefixFoundError(String prefFound, String prefExpected, String schema)` Return a validationError formatted when a schema has not the expected prefix
`List<ValidationResult.ValidationError>` `validatePDFAIdentifer(org.apache.xmpbox.XMPMetadata metadata)` Check if PDFAIdentification is valid

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFAIdentificationValidation

    public PDFAIdentificationValidation()

### Method Detail

#### validatePDFAIdentifer

    public List<ValidationResult.ValidationError> validatePDFAIdentifer(org.apache.xmpbox.XMPMetadata metadata)
                                                                 throws ValidationException

Check if PDFAIdentification is valid

Parameters:
  `metadata` - the XMP MetaData.
Returns:
  the list of validation errors.
Throws:
  `ValidationException`

#### unexpectedPrefixFoundError

    protected ValidationResult.ValidationError unexpectedPrefixFoundError(String prefFound,
                                                                          String prefExpected,
                                                                          String schema)

Return a validationError formatted when a schema has not the expected prefix

Parameters:
  `prefFound` -
  `prefExpected` -
  `schema` -
Returns:
  the validation error.

#### checkConformanceLevel

    protected void checkConformanceLevel(List<ValidationResult.ValidationError> ve,
                                         String value)

#### checkPartNumber

    protected void checkPartNumber(List<ValidationResult.ValidationError> ve,
                                   int value)